$(function(){

    // 图片切换
    $(".min_img").each(function(index,item){
        $(item).on("click",function(){
            $(this).addClass("active").siblings(".min_img").removeClass("active");
            $(".product_details_ul li").hide();
            $(".product_details_ul li").eq(index).show();
            var current_=$(this).find("img").attr("src")
            $(this).parents("#preview").find("#big img").attr("src",current_);
        })
    })
    // 放大镜
    var box=$("#preview");
    var small=$(".max_img");
    var mask=$(".mask");
    var big=$("#big");
    var pic=big.find("img");
    // 两侧按钮
    if($(small).length>6){
        $(".chevron_r").addClass("active");
    }
    var minImg_width=$(".min_img").outerWidth(true);
    var current_pic = 1
    var pic_count = $('.min_img').length;
    $(".chevron_r").on("click",function(){
        if(pic_count > 6) {
            // 后面还有一组以上的图
            if (pic_count >= current_pic + 11) {
                current_pic += 6
                $(".chevron_l").addClass("active");
                if (pic_count == current_pic + 11) {
                    $(".chevron_r").removeClass("active");
                } else {
                    $(".chevron_r").addClass("active");
                }

            } else {
                // 后面没有一组(6涨图)但是有大于0张图
                if (pic_count > current_pic + 5) {
                    current_pic += pic_count - current_pic - 5
                    $(".chevron_l").addClass("active");
                    $(".chevron_r").removeClass("active");
                }
            }
            $(".product_details_ul_min").css({transform: "translateX(" + -((current_pic - 1) * minImg_width) + "px)"});
        }
    })
    $(".chevron_l").on("click",function(){
        if(pic_count > 6){
            // 后面还有一组以上的图
            if(current_pic > 6){
                current_pic -= 6
                if(current_pic == 7){
                    $(".chevron_l").removeClass("active");
                }else{
                    $(".chevron_l").addClass("active");
                }
                $(".chevron_r").addClass("active");
            }else{
                // 后面没有一组(6涨图)但是有大于0张图
                current_pic = 1
                $(".chevron_l").removeClass("active");
                $(".chevron_r").addClass("active");

            }
            $(".product_details_ul_min").css({transform: "translateX("+-((current_pic - 1)*minImg_width)+"px)"});
        }
    })
    // 放大倍数
    var small_width=small.find(".max_box").width();
    pic.width(small_width*3);
    // 加载时默认显示的图片
    pic.attr("src",small.eq(0).find("img").attr("src"));
    //鼠标移动到图片上出现两个效果
    $("#show_picture").on("mouseover",small,function(){
        $(this).find(mask).show();
        big.show();
    })
    $("#show_picture").on("mouseout",small,function(){
        $(this).find(mask).hide();
        big.hide();
    })
    $("#show_picture").on("mousemove",small,function(e){
        var l = e.pageX - box.offset().left - ((mask.width()+40) / 2)
        var t = e.pageY - box.offset().top - (mask.height() / 2);
        if (l < 0) {
            l = 0
        }
        if (l > $(this).find(".max_box").width() - mask.width()) {
            l = $(this).find(".max_box").width() - mask.width();
        }
        if (t < 0) {
            t = 0
        }
        if (t > $(this).find(".max_box").height() - mask.height()) {
            t = $(this).find(".max_box").height() - mask.height();
        }
        mask.css({
            "left": l+2,
            "top": t+2,
        })
        var pX = l / (small.outerWidth() - mask.width());
        var pY = t / (small.outerHeight() - mask.height())
        pic.css({
            "left": -pX * (pic.width() - big.width()),
            "top": -pY * (pic.height() - big.height())
        })
    })
    // 加和减购物
    $('#minus').click(function(){
        var count = Number($('#J_IptAmount').val())
        if(count > 1){
            $("#J_IptAmount").val(count - 1)
        }
    })
    $('#add').click(function(){
        var count = Number($('#J_IptAmount').val())
        var inventory = Number($('#inventory').html())
        if(count < inventory){
            $("#J_IptAmount").val(count + 1)
        }else{
            alert('超出库存')

        }

    })
    $('#J_IptAmount').change(function(){
        var inventory = Number($('#inventory').html())
        if(Number($(this).val()) < 1){
            $("#J_IptAmount").val(1)
        }
        if(Number($(this).val()) > inventory){
            alert('超出最大库存量')
            $("#J_IptAmount").val(inventory)
        }
    })
    // 添加购物车
    $('#add-shopping-cart').click(function(){
        if($('.speci-li .active').length == $('.speci-li').length){
            var specis = $('.speci-li')
            var speci = []
            for(var i=0; i<specis.length; i++){
                var speci_id = specis.eq(i).find('.speci_id').val()
                var param_id = specis.eq(i).find('.active .param_id ').val()
                speci.push([Number(speci_id), Number(param_id)])
            }
            var formData = new FormData();
            formData.append("action", 'cart');
            formData.append("quantity", Number($('#J_IptAmount').val()));
            formData.append("speci", JSON.stringify(speci));
            formData.append("productid", Number($('#product-id').val()));
            $.ajax({
                scriptCharset: 'UTF-8',
                type: 'post',
                url: '',
                data: formData,
                cache: false,
                processData: false,
                contentType: false,
                dataType : "json",
                success: function(data){
                    if(data.status == 1){
                        alert(data.msg)
                        $('#cart-num').text(data.type)
                    }else{
                        alert(data.msg)
                        if(data.url){
                            window.location.href = data.url
                        }
                    }
                }
            })
        }else{
            alert('请把规格参数选全')
        }
	})
    // 立即购买
    $('#buy').click(function () {
        var select_all = 1
        var speci = []
        $(".speci-li").each(function(){
            if($(this).find('.active').length == 0){
                select_all = 0
            }else{
                speci.push([Number($(this).find('.speci_id').val()), Number($(this).find('.active').find('.param_id').val())])
            }
        });
        if(select_all == 1) {
            if (Number($('#J_IptAmount').val()) > Number($('#inventory').html())) {
                alert('超出库存量')
                $('#J_IptAmount').val(Number($('#inventory').html()))
            } else {
                $("#quantity").val($('#J_IptAmount').val())
                $("#speci").val(JSON.stringify(speci))
                $('#order').submit()
            }
        }
    })
})
